Package org.silverpeas.components.kmelia.service

## Class AbstractKmeliaSimulationElementLister

- java.lang.Object
- - org.silverpeas.core.process.annotation.SimulationElementLister
  - - org.silverpeas.components.kmelia.service.AbstractKmeliaSimulationElementLister

- Direct Known Subclasses:
    `KmeliaNodeSimulationElementLister`, `KmeliaPublicationBatchSimulationElementLister`, `KmeliaPublicationSimulationElementLister`

      public abstract class AbstractKmeliaSimulationElementLister
      extends org.silverpeas.core.process.annotation.SimulationElementLister

  Author:
    Yohann Chastagnier Date: 24/10/13

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractKmeliaSimulationElementLister()` |
    `AbstractKmeliaSimulationElementLister​(org.silverpeas.core.process.annotation.SimulationElementLister parentElementLister)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.silverpeas.core.node.service.NodeService` | `getNodeService()` |
    `org.silverpeas.core.contribution.publication.service.PublicationService` | `getPublicationService()` |
    `void` | `listElements​(Object source, String language, org.silverpeas.core.ResourceReference targetPK)` |

    - ### Methods inherited from class org.silverpeas.core.process.annotation.SimulationElementLister

      `addElement, getActionType, listElements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractKmeliaSimulationElementLister

          public AbstractKmeliaSimulationElementLister()

    - #### AbstractKmeliaSimulationElementLister

          public AbstractKmeliaSimulationElementLister​(org.silverpeas.core.process.annotation.SimulationElementLister parentElementLister)

  - ### Method Detail

    - #### getNodeService

          public org.silverpeas.core.node.service.NodeService getNodeService()

    - #### getPublicationService

          public org.silverpeas.core.contribution.publication.service.PublicationService getPublicationService()

    - #### listElements

          public void listElements​(Object source,
                                   String language,
                                   org.silverpeas.core.ResourceReference targetPK)

      Specified by:
        `listElements` in class `org.silverpeas.core.process.annotation.SimulationElementLister`